Skip to main content
Get Optimization With Jobs
curl --request GET \
  --url https://api.ionworks.com/optimize
{
  "jobs": [
    {
      "job_id": "<string>",
      "job_type": "dummy",
      "status": "pending",
      "priority": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "user_id": "<string>",
      "organization_id": "<string>",
      "is_terminal": true,
      "is_failed": true,
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "compute_time": 123,
      "error": "<string>",
      "error_code": "EXECUTION_TIMEOUT",
      "result": {},
      "callback_url": "<string>",
      "parent_job_id": "<string>",
      "project_id": "<string>",
      "access_level": "organization",
      "params_path": "<string>",
      "metadata_path": "<string>"
    }
  ],
  "optimizations": [
    {
      "id": "<string>",
      "job_id": "<string>",
      "project_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "user_id": "<string>",
      "cell_spec_id": "<string>",
      "parameterized_model_id": "<string>",
      "optimization_template_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by_email": "<string>",
      "organization_id": "<string>"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

project_id
string
required
limit
integer
default:10
offset
integer
default:0
name
string | null
status
string | null
template_name
string | null
cell_name
string | null
model_name
string | null
created_by_email
string | null
created_at
string | null
created_at_gt
string | null
created_at_lt
string | null

Response

Successful Response

List of optimization jobs and their optimization records.

jobs
JobResponse · object[]
required
optimizations
Optimization · object[]
required
total
integer
required